
/* clients_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _CLIENTS_CONTROL_
#define _CLIENTS_CONTROL_

/**
 * C_PERSON_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es un particular.
 *
 */
#define C_PERSON_MESSAGE N_("Particular")
/**
 * C_ENTERPRISE_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es una empresa.
 *
 */
#define C_ENTERPRISE_MESSAGE N_("Enterprise")
/**
 * C_SUPPLIER_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es un proveedor.
 *
 */
#define C_SUPPLIER_MESSAGE N_("Supplier")
/**
 * C_COMPANY_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es una compaa de seguros .
 *
 */
#define C_COMPANY_MESSAGE N_("Company")
/**
 * C_CONSORTIUM_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es un consorcio.
 *
 */
#define C_CONSORTIUM_MESSAGE N_("Consortium")
/**
 * C_GARAGE_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es un taller.
 *
 */
#define C_GARAGE_MESSAGE N_("Garage")
/**
 * C_ALL_PARTICIPANTS_MESSAGE:
 *
 * Texto utilizado para mostrar que el cliente es cualquiera de los tipos.
 *
 */
#define C_ALL_PARTICIPANTS_MESSAGE N_("All")

/**
 * c_clients_control_open:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicicializa la ventana de bsqueda de clientes. Esta pantalla permite buscar todos los clientes
 * del grupo de empresas, bien por tipos de cliente, bien mezclados.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_clients_control_open (GtkWidget *app1, GtkWidget *vbox);
/**
 * c_clients_control_open_supplier:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 * @f_to_call: Funcin a llamar al pulsar en el botn de ir a pedido.
 * @group_number: Grupo al que debe redirigirse al pulsar en el botn de ir a pedido.
 * @item_number: Item dentro del grupo al que debe redirigirse al pulsar en el botn de ir a pedido.
 *
 * Inicializa la ventana de bsqueda de clientes cuando se procede de la ventana de pedidos, para buscar
 * proveedores a insertar en el pedido.
 *
 * Returns:
 * La ventana inicializada.
 * 
 */
GtkWidget *c_clients_control_open_supplier (GtkWidget *app1, GtkWidget *vbox, gpointer f_to_call,
			gint group_number, gint item_number);
/**
 * c_clients_control_find_persons:
 *
 * Realiza la bsqueda de clientes.
 */
void c_clients_control_find_persons (void);


/**
 * c_clients_control_fill_window:
 * @participants: Lista de participantes.
 *
 * Rellena la pantalla con los participantes ya buscados.
 */
void c_clients_control_fill_window (Participant ** participants);

#endif

