
/* documents.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _DOCUMENTS_
#define _DOCUMENTS_

#include "company.h"

/**
 * c_documents_open:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de documentos. Esta ventana mostrar los documentos
 * asociados a la compaa de seguros de la reparacin que se est mostrando en
 * la ventana de reparacin o la reparacin asociada a la factura, en el caso
 * de estar en la ventana de factura.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget*  c_documents_open(GtkWidget *app1, gpointer data);
/**
 * c_documents_load_company:
 * @local_company: Compaa para la que se desean cargar los documentos.
 *
 * Carga la compaa de la cual se buscarn los documentos asociados que
 * se mostrarn en la ventana.
 *
 */
void c_documents_load_company(Company *local_company);

#endif


