
/* edit_clients_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _EDIT_CLIENTS_CONTROL_
#define _EDIT_CLIENTS_CONTROL_

//#define D_CONSORTIUM_NONE 0

#include "participant.h"
#include "account.h"

/**
 * c_clients_open_edition_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de edicin de clientes. Esta ventana permite modificar los datos de un
 * cliente y aadirle las cuentas corrientes que se desee.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_clients_open_edition_window(GtkWidget *app1, gpointer data);

/**
 * c_edit_clients_load_person:
 * @participant: Datos del participante que se desea modificar.
 *
 * Carga los datos generales de todos los participantes en la pantalla de modificacin de
 * clientes.
 *
 */
void c_edit_clients_load_person(Participant *participant);
/**
 * c_edit_clients_add_account_client:
 * @account: Cuenta corriente que se desea aadir.
 *
 * Aade una cuenta corriente al cliente que est cargado en pantalla.
 *
 */
void c_edit_clients_add_account_client(Account * account);
#endif

