#ifndef _EXCHANGE_PIECES_CONTROL_
#define _EXCHANGE_PIECES_CONTROL_

/* exchange_pieces_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "stock.h"
#include "control_util.h"
#include "exchange_piece_model.h"

/**
 * c_exchange_piece_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la pantalla de intercambio de piezas. En esta pantalla se permite
 * realizar el intercambio de piezas de una almacn con esa pieza en stock a otro
 * almacn de destino, disminuyendo en stock en el almacn origen y aumentandolo en
 * el almacn destino. Esta pantalla es muy delicada, ya que como el stock se inserta
 * en la base de datos bajo demanda, provoca que si se realiza intercambio en una tienda
 * (provocando este intercambio una insercin de stock) y se realiza actulizacin de stock en
 * otra (provocando insercin de stock tambin), se producir un error de replicacin.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_exchange_piece_open_window(GtkWidget *app1, GtkWidget *vbox);
#endif


