#ifndef _FIND_DOCUMENTS_CONTROL_
#define _FIND_DOCUMENTS_CONTROL_

/* find_documents_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "document.h"

/**
 * c_find_documents_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la ventana de bsqueda de documentos. Esta ventana permite buscar los documentos
 * por descripcin, tipo (de reparacin o facturacin) o nombre para despues poder realizar la asociacin
 * de estos documentos a ciertas compaas de seguros. Adems, a partir de esta pantalla se puede abrir la
 * ventana de modificacin de los documentoso o de insercin de uno nuevo.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_documents_open_window(GtkWidget *app1, GtkWidget *vbox);

#endif

