/* find_invoice_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _FIND_INVOICE_CONTROL_
#define _FIND_INVOICE_CONTROL_

/**
 * c_find_invoice_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la ventana de bsqueda de facturas. Esta pantalla permite realizar la bsqueda de facturas
 * segn: el tipo de pago, el estado de la factura, el tipo de la factura, el nombre del cliente,
 * la matrcula, el nmero de la factura, la tienda en la que se emiti, el cif/nif, la cantidad
 * de la factura y el perodo de fecha de emisin. A partir de la bsqueda se puede realizar la impresin
 * de las facturas que aparece en la lista, o bien, generar el cuaderno 58 a partir de las facturas domiciliadas.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_invoice_open_window(GtkWidget *app1, GtkWidget *vbox);

#endif

