
/* find_manodeobra.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _FIND_MANODEOBRA_
#define _FIND_MANODEOBRA_

#include "company.h"

/**
 * c_find_man_power_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la pantalla de bsqueda de mano de obra. Esta pantalla se utiliza para buscar las
 * manos de obra a introducir en la reparacin. Los precios de las manos de obra aparacern tasadas segn
 * la compaa de seguros asociada a la reparacin.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_man_power_open_window(GtkWidget *app1, gpointer data);

/**
 * c_find_man_power_insuranced_repair:
 * @local_company: Compaa de seguros para la que se buscarn las manos de obra.
 *
 * Realiza bsqueda de las manos de obra tasadas por la compaa de seguros pasada por parmetro. Esto
 * se realiza porque segn la compaa la mano de obra cuesta ms o menos.
 * 
 */
void c_find_man_power_insuranced_repair(Company *local_company);

#endif

