/* insert_account_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_ACCOUNT_CONTROL_
#define _INSERT_ACCOUNT_CONTROL_

/**
 * C_ACCOUNT_NOT_FROM_CLIENTS:
 *
 * Indica que la insercin de una cuenta no se realiza desde la pantalla de clientes.
 *
 */
#define C_ACCOUNT_NOT_FROM_CLIENTS 0
/**
 * C_ACCOUNT_FROM_INSERT_CLIENTS:
 *
 * Indica que la insercin de una cuenta no se realiza desde la pantalla de insercin de clientes.
 *
 */
#define C_ACCOUNT_FROM_INSERT_CLIENTS 1
/**
 * C_ACCOUNT_FROM_EDIT_CLIENTS:
 *
 * Indica que la insercin de una cuenta no se realiza desde la pantalla de edicin de clientes.
 *
 */
#define C_ACCOUNT_FROM_EDIT_CLIENTS 2

#include "account.h"

/**
 * c_insert_account_open_window:
 * @f_to_call: Funcin a llamar despus de realizar la insercin de cuentas.
 * @from_clients: Indica si la insercin de cuenta bancaria se realiza desde la pantalla de clientes.
 *
 * Inicializa la ventana de insercin de cuentas bancarias. Esta pantalla permite insertar
 * las cuentas bancarias de los clientes y de las empresas del grupo, de modo que
 * dependiente de que tipo de insercin se trate se realiza una operacin diferente. Adems permite
 * modificar la cuenta que haya sido cargada en caso de querer modificar la cuenta corriente de
 * un cliente.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_insert_account_open_window(gpointer f_to_call,gint from_clients);

/**
 * c_generic_repair_line_set_update:
 * @do_update: Indica si se inserta una cuenta nueva o se modifica una existente.
 * @codigoParty: Cdigo del participante al que se le modificar la cuenta.
 * @complete_account: Cuenta corriente que se modificar, en el caso de modificacin. %NULL en otro caso.
 *
 * Indica los datos necesarios a la ventana para saber si se va a modificar una cuenta o se
 * va a insertar una cuenta desde cero.
 *
 */
void c_generic_repair_line_set_update(gboolean do_update,gulong codigoParty,gchar * complete_account);
#endif

