/* insert_cash_operation_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_CASH_OPERATION_CONTROL_
#define _INSERT_CASH_OPERATION_CONTROL_


#include "cash_operation.h"

/**
 * c_cash_operation_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @f_to_call: Funcion que se llamar despus de insertar un movimiento de caja
 * @pos: Indica si la cantidad a insertar es para sacar o meter en la caja, es decir,
 * si se resta o se suma.
 *
 * Inicializa la ventana de insercin de movimiento de caja. Esta pantalla se utiliza para
 * insertar un movimiento desde la ventana de facturas, tanto emitidas como de pago.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_cash_operation_open_window(GtkWidget *app1,gpointer f_to_call,gboolean pos);

/**
 * load_payment_cash_operation:
 * @payment: Pago asociado a la factura para la que se insertar el movimiento de caja.
 * @total: El total a insertar en el movimiento.
 *
 * Carga los datos del pago y el total en la ventana para poder realizar la insercin de pago en
 * la BD.
 *
 */
void load_payment_cash_operation(Payment * payment,gdouble total);

/**
 * hide_cancelar_button_on_cash_operation:
 *
 * Oculta el botn de cancelar de la ventana de insercin de movimiento de caja.
 *
 */
void hide_cancelar_button_on_cash_operation(void);

#endif

