
/* insert_charge_invoice_line.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_CHARGE_INVOICE_LINE_
#define _INSERT_CHARGE_INVOICE_LINE_

#include "charge_invoice_control.h"

/**
 * c_charge_invoice_line_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de insercin de una lnea de factura de pago. Esta pantalla permite insertar
 * la descripcin, precio y tipo de iva de una lnea genrica de factura de pago o bien modificarla
 * en caso de ser una lnea existente.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_charge_invoice_line_open_window(GtkWidget *app1, gpointer data);

/**
 * load_charge_line:
 * @charge_invoice_line: Lnea de cargo a modificar.
 *
 * Carga los datos de una lnea de factura de cargo para modificar.
 *
 */
void c_charge_invoice_line_load(ChargeInvoiceLine *charge_invoice_line);

#endif

