
/* insert_clients_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_CLIENTS_CONTROL_
#define _INSERT_CLIENTS_CONTROL_

//#define D_CONSORTIUM_NONE 0

#include "account.h"

/**
 * c_clients_open_insertion_window:
 * @app1: #Widget que contiene la aplicacin.
 *
 * Inicializa la ventana de insercin de clientes. Esta pantalla permite insertar clientes de los
 * siguientes tipos: particular, empresa, proveedor, compaa, consorcio y taller.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_clients_open_insertion_window(GtkWidget *app1);

/**
 * c_clients_insert:
 * @account: Cuenta que se desea insertar.
 * 
 * Inserta en la ventana una cuenta nueva para el cliente. Todas las cuentas que se metan en el combo
 * sern insertadas en el momento en que se inserte el cliente.
 *
 */
void c_clients_insert(Account * account);
#endif

