/* insert_operation_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_OPERATION_CONTROL_
#define _INSERT_OPERATION_CONTROL_


#include "operation.h"

/**
 * c_insert_operation_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @f_to_call: Funcin que se llama para obtener el cdigo de pago al que se asociar el movimiento.
 * @f2_to_call: Funcin que se llamar una vez acabe la insercin del movimiento bancario.
 * @total: El total del movimiento bancario.
 *
 * Inicializa la pantalla de insercin de una operacin bancaria. Esta pantalla permite aadir un
 * concepto al movimiento bancario.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_insert_operation_open_window(GtkWidget *app1,gpointer f_to_call,gpointer f2_to_call,gdouble total);

/**
 * c_insert_operation_from_split_invoice:
 * @refactura_aux: Indica si el movimiento bancario se introduce desde una refactura.
 *
 * Permite indicar si el movimiento procede de una refactura ya que este tipo de facturas provocan insercin
 * de dos movimientos para simular el movimiento de dinero de entrada y salida de una tienda.
 *
 */
void c_insert_operation_from_split_invoice(gboolean refactura_aux);

#endif

