
/* insurance_data_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSURANCE_DATA_CONTROL_
#define _INSURANCE_DATA_CONTROL_

#include "participant.h"
#include "policy.h"
#include "receipt.h"
#include "accident.h"

typedef struct _insurance {
  Policy *policy;
  gboolean new_policy;
  Receipt *receipt;
  gboolean new_receipt;
  Accident *accident;
  gchar *client_code;
} Insurance;

/**
 * c_insurance_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de seguro. Esta pantalla permite introducir/modificar todos los datos relacionados
 * con el seguro de la reparacin: los valores relacionados con el siniestro, los valores de la pliza de
 * seguros y el recibo, as como las fotos. Al introducir estos datos en la ventana y salir, se asociarn
 * a la reparacin en memoria.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_insurance_open_window(GtkWidget *app1, gpointer data);

#endif

