/* post_address_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _POST_ADDRESS_CONTROL_
#define _POST_ADDRESS_CONTROL_

#include "post_address.h"

/**
 * c_post_address_open_window:
 * @new_post_address: Indica si la direccin de envo es nueva o ya existente.
 * @f_to_call: Funcin a llamar al cerrar la ventana de direccines de envo.
 *
 * Inicializa la ventana de insercin de direcciones de envo. Esta pantalla es
 * utilizada para insertar o modificar direcciones de envo de los clientes. Dichas
 * direcciones de envo se imprimen en los sobres.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_post_address_open_window(gboolean new_post_address,gpointer f_to_call);

/**
 * c_post_address_load:
 * @post_address: Direccin de envo a modificar.
 *
 * Carga en la pantalla una direccin de envo para posteriormente poder modificarla.
 *
 */
void c_post_address_load(PostAddress * post_address);
/**
 * c_post_address_set_participant_code:
 * @party_code: Cdigo del cliente.
 *
 * Establece el cdigo del cliente para el cual se modificar o insertar la direccin de envo.
 *
 */
void c_post_address_set_participant_code(gulong party_code);


#endif

