
/* repair_line_data.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _REPAIR_LINE_DATA_
#define _REPAIR_LINE_DATA_

#include "company.h"

/**
 * c_repair_line_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de modificacin de lneas de pedido. Esta pantalla se utiliza para modificar
 * las lneas de reparacin pudiendo insertar nuevo precio del producto o importe de la lnea.
 *
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_repair_line_open_window(GtkWidget *app1, gpointer data);
/**
 * c_repair_line_set_inssurance_company:
 * @local_company: Compaa de seguros para la cul se modificarn los precios.
 *
 * Carga la compaa de seguros de la reparacin para, en caso de modificar el precio de una mano de obra,
 * se modifica para la compaa adecuada.
 *
 */
void c_repair_line_set_inssurance_company(Company *local_company);

#endif

