
/* extract_invoice.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "config.h"
#include "invoice.h"
#include "util.h"
#include "delivery_payment.h"
#include "extract_delivery_payment.h"
#include "extract_repair.h"
#include "select_fields.h"

gchar * p_invoice_get_stringify_client_number (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_legal_id (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_date (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_number (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_work_number (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_agent_number (Invoice * invoice,gboolean show);
gchar ** p_invoice_get_stringify_post_address (Invoice * invoice,GeneralCondition * general_condition); /* FIXME: 4 LINES */
gchar * p_invoice_get_stringify_company (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_policy (Invoice * invoice,gboolean show);
GList * p_invoice_get_stringify_lines (Invoice * invoice,GeneralCondition * general_condition,gboolean from_garage,gboolean normal_template);
gchar * p_invoice_get_stringify_payment_way (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_payment_mode (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_payment_entity (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_expiries_number (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_company_name (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_company_legal_id (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_discount (Invoice * invoice,gboolean show);
gchar * p_invoice_get_stringify_total_discount (Invoice * invoice,gboolean show);
void p_invoice_calculate_total_data (Invoice * invoice,gchar ** subtotal,gchar ** vat_char,gchar ** total_char,GeneralCondition * general_condition,gboolean from_garage);
Repair * p_invoice_get_first_repair (Invoice * invoice);
gchar * p_invoice_get_stringify_place (Invoice * invoice,gboolean show);
gdouble p_invoice_get_stringify_total_not_modified (Invoice * invoice,gchar ** subtotal,gchar ** vat_char,gchar ** total_char,GeneralCondition * general_condition,gboolean from_garage);
gchar * p_invoice_get_stringify_account_number (Invoice * invoice,gboolean show);
gint p_invoice_get_number_of_lines (Invoice * invoice,gboolean from_garage);




