/* extract_repair.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "config.h"
#include "repair_object.h"
#include "select_fields.h"
#include "util.h"

gchar * d_repair_get_stringify_client_number (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_legal_id (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_agent_number (Repair * repair,gboolean show);
gchar ** d_repair_get_stringify_post_address (Repair * repair,GeneralCondition * general_condition); /* FIXME: 4 LINES */
gchar * d_repair_get_stringify_company (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_policy (Repair * repair,gboolean show);
GList * d_repair_get_lines (Repair * repair,GeneralCondition * show);
gchar * d_repair_get_stringify_company_name (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_company_legal_id (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_company_discount (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_entry_date (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_entry_hour (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_exit_date (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_exit_hour (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_vehicle_made (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_vehicle_model (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_vehicle_colour (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_license_number (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_chassis_number (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_kilemoters (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_shop_place (Repair * repair,gboolean show);

/*Titular = holder*/
gchar * d_repair_get_stringify_holder (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_date (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_open_date (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_hour (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_place (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_mode (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_damages (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_reference (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_policy_number (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_receipt (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_mediator (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_validity (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_nick (Repair * repair,gboolean show);

gchar * d_repair_get_stringify_accident_field (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_province (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_reason (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_photo1 (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_photo2 (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_accident_description (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_town (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_province (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_telephone (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_postal_code (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_address (Repair * repair,gboolean show);

gchar * d_repair_get_stringify_garage_name (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_address (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_place (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_postal_code (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_telephone (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_email (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_legal_id (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_garage_fax (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_repairer_code (Repair * repair,gboolean show);
gchar * d_repair_get_stringify_repairer_data (Repair * repair,gboolean show);

gchar ** d_repair_get_stringify_name (Repair * repair,GeneralCondition * general_condition);
gchar ** d_repair_get_stringify_accident_description_on_many_lines (Repair * repair,gboolean show);

GList * d_repair_get_stringify_man_power_lines (Repair_line ** repair_lines,GeneralCondition * general_condition,gboolean royal_nueva);
GList * d_repair_get_stringify_product_lines (Repair_line ** repair_lines,GeneralCondition * general_condition);
