/* select_fields.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _SELECT_FIELDS_
#define _SELECT_FIELDS_

#include "config.h"
#include "glib.h"

typedef struct _conditionToPrintRepair {
    gboolean invoice_number;
    gboolean work_number;
    gboolean garage_data;
    gboolean name;
    gboolean nick;
    gboolean enterprise_legal_id_template_1;
    gboolean surnames;
    gboolean street;
    gboolean town;
    gboolean province;
    gboolean postal_code;
    gboolean phone;
    gboolean accident_number;
    gboolean policy_number;
    gboolean accident_date;
    gboolean field;
    gboolean province_code;
    gboolean reason_code;
    gboolean made;
    gboolean model;
    gboolean license_number;
    gboolean chassis;
    gboolean kilometers;
    gboolean colour;
    gboolean in_date;
    gboolean out_date;
    gboolean accident_description;
    gboolean repairer_centre_code;
    gboolean repairer_centre_data;
    gboolean reference;
    gboolean material_quantity;
    gboolean material_description;
    gboolean line_total;
    gboolean man_power_description;
    gboolean man_power_total;
    gboolean subtotal;
    gboolean discount;
    gboolean vat;
    gboolean invoice_total;
    gboolean date;
    gboolean receiver_legal_id;
    gboolean observations;
    gboolean description;
    gboolean quantity;
    gboolean prices;
    gboolean totals;
    gboolean validity_period;
    gboolean holder;
    gboolean receiver_nick;
    gboolean page_number;
    gboolean client_number;
    gboolean agent;
    gboolean payment_way;
    gboolean payment_entity;
    gboolean account;
    gboolean instalments;
    gboolean amount;
    gboolean enterprise_name;
    gboolean discounts;
    gboolean enterprise_legal_id;
    gboolean company;
    gboolean dossier;
    gboolean receipt_number;
    gboolean place;
    gboolean way;
    gboolean damages;
    gboolean total;
    gboolean branch;
    gboolean invoice_lines;
    gboolean photo;
} GeneralCondition;

GeneralCondition * p_create_condition (gint invoiceTemplate);

#endif
