
/* account_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ACCOUNT_MODEL_
#define _ACCOUNT_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "account.h"
#include "gda_igalia_util.h"

gchar *m_account_get_table (void);
gchar *m_account_get_attributes (void);
Account *m_account_create (GdaRecordset *rs);
gboolean m_account_insert (Account * account);
Account ** m_account_find_all (void);
void m_account_clear_array (Account ** accounts);
gchar * m_account_find_bank_by_code (gchar * bank_code);
GList * m_account_find_by_participant_code (gulong participant_code);
gboolean m_account_insert_in_transaction (Account * account,GdaConnection * connection);
gboolean m_account_update (Account * account,gulong participant_code,gchar * previous_account_number,gchar * previous_office_code,gchar * previous_code_code);
#endif


