/* cash_operation_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CASH_OPERATION_MODEL_
#define _CASH_OPERATION_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "gda_igalia_util.h"
#include "cash_operation.h"
#include "util.h"

gchar *m_cash_operation_get_table (void);
gchar *m_cash_operation_get_attributes (void);
CashOperation *m_cash_operation_create (GdaRecordset *rs);

gboolean m_cash_operation_insert (CashOperation * cash_operation);
gboolean m_cash_operation_update_in_transaction (gulong payment_code,gulong shop_code,gulong enteprise_code,gdouble amount,GdaConnection * connection);
gboolean m_cash_operation_delete (GArray * selected,CashOperation ** operation_list,gulong shop_code,gulong enteprise_code);
gboolean m_cash_operation_delete_in_transaction (GArray * selected, CashOperation ** operation_list,gulong shop_code,gulong enteprise_code,GdaConnection * connection);
gint m_cash_operation_clear_array (CashOperation **cash_operations);

#endif


