
/* charge_invoice_line_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CHARGE_INVOICE_LINE_MODEL_
#define _CHARGE_INVOICE_LINE_MODEL_

#include <gda-client.h>
#include <gda-field.h>
#include "gda-recordset.h"
#include "gda_igalia_util.h"
#include "model.h"
#include "charge_invoice_model.h"
#include "charge_invoice_line.h"


gchar   *m_charge_invoice_line_get_table (void);
gchar   *m_charge_invoice_line_get_attributes (void);
ChargeInvoiceLine *m_charge_invoice_line_create (GdaRecordset *rs);
gboolean m_charge_invoice_line_is_in_rs (GdaRecordset *rs);
ChargeInvoiceLine **  m_charge_invoice_line_find_by_invoice (gchar *supplier_code, gchar *invoice_number);
void m_charge_invoice_line_convert_to_glist (GList **list, ChargeInvoiceLine ** charge_invoice_lines);
ChargeInvoiceLine **m_charge_invoice_line_convert_glist_on_array (GList *list);
gboolean m_charge_invoice_line_insert (ChargeInvoiceLine *charge_line, GdaCommand * command, GdaConnection *connection, gboolean update);
gboolean m_charge_invoice_line_is_new (gulong invoice_number, gchar *supplier_code, gchar *invoice_line_number);
void m_charge_invoice_line_associate_charge_invoice_to_glist (GList *list, gulong invoice_number, gulong supplier_code);
void m_charge_invoice_line_set_new (GList **charge_lines, ChargeInvoice *charge_invoice);
void m_charge_invoice_line_delete_glist (GList **charge_lines);
gboolean m_charge_invoice_line_delete (ChargeInvoiceLine *charge_invoice_line, gulong enter_code_gulong, gulong shop_code_gulong);
void m_charge_invoice_line_associate_charge_invoice (ChargeInvoiceLine **lines, gulong invoice_number, gulong supplier_code);
#endif

