/* charge_invoice_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CHARGE_INVOICE_MODEL_
#define _CHARGE_INVOICE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#include "charge_invoice.h"
#include "gda_igalia_util.h"
#include "payment_model.h"
#include "gda_igalia_util.h"


typedef struct conditionFindChargeInvoiceStruct {
    gint type; /* Tipo de factura: D_CHARGE_INVOICE_MESSAGE o D_CHARGE_INVOICE_NOTE_MESSAGE*/
    gulong shop_code; /*Cdigo de la tienda*/
    gulong supplier_code;/*Cdigo del proveedor*/
    gchar * invoice_number;/*Nmero de la factura*/
    gint invoice_state; /*Estado de la factura*/
    time_t * initial_expire_date; /*Fecha vencimiento*/
    time_t * ending_expire_date;/*Fecha vencimiento final de la factura*/
    gulong payment_type;/*Tipo de pago de la factura: domiciliacin, transferencia, efectivo o taln*/
    gdouble amount;/*Total de la factura*/
    gboolean vat;/*Si es con iva o sin iva*/
} ConditionFindChargeInvoice;

typedef struct chargeInvoiceId {
    gchar * invoice_number;
    gchar * supplier_code;
} ChargeInvoiceId;

ChargeInvoice * m_charge_invoice_create (GdaRecordset *rs);
gchar *m_charge_invoice_get_table (void);
gchar *m_charge_invoice_get_attributes (void);
gchar *  m_charge_invoice_insert (ChargeInvoice * charge_invoice);
gboolean m_charge_invoice_update_state (ChargeInvoice * charge_invoice,gint state);
void m_charge_invoice_clear_array (ChargeInvoice ** charge_invoices);
ChargeInvoice ** m_charge_invoice_find_by_condition (ConditionFindChargeInvoice * condition);
ChargeInvoice * m_charge_invoice_find_by_code (ChargeInvoiceId * charge_invoice_id,gboolean vat);
gboolean m_charge_invoice_update (ChargeInvoice * charge_invoice,gboolean note);
PaymentId * m_charge_invoice_find_last_from_supplier_by_enterprise (gulong supplier_code,gulong enterprise_code);
PaymentId * m_charge_invoice_find_last_from_supplier (gulong supplier_code);
gchar * m_charge_invoice_delete (ChargeInvoice * charge_invoice);
#endif

