
/* company_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_COMPANY_
#define _MODEL_COMPANY_

#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "company.h"
#include "gda_igalia_util.h"


gchar *m_company_get_table (void);
gchar *m_company_get_attributes (void);
Company *m_company_create (GdaRecordset *rs);
Company ** m_company_find_by_code (gulong code);
void m_company_find_by_array_code (Company **companies, gulong *company_ids);
void m_company_clear_cached_array (void);
void m_company_clear_array (Company **list);

#endif

