
/* accident.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ACCIDENT_
#define _ACCIDENT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"
#include "util.h"

typedef struct _accident {
  gchar *accident_reference;
  time_t  date; 
  gchar *place;
  gchar *field;
  gchar *damages;
  gchar *way;
  gchar *province_code;
  gchar *reason_code;
  gchar *photo1;
  gchar *photo2;
  gchar *description;
  time_t open_date;
} Accident;


Accident *d_accident_create_empty (void);
gint d_accident_clear (Accident *accident);
void d_accident_set_accident_reference (Accident *accident, gchar *accident_reference);
void d_accident_set_date (Accident *accident, time_t date);
void d_accident_set_open_date (Accident *accident, time_t date);
void d_accident_set_place (Accident *accident, gchar *place);
void d_accident_set_field (Accident *accident, gchar *field);
void d_accident_set_damages (Accident *accident, gchar *damages);
void d_accident_set_way (Accident *accident, gchar *way);
void d_accident_set_province_code (Accident *accident, gchar *province_code);
void d_accident_set_reason_code (Accident *accident, gchar *reason_code);
void d_accident_set_photo1 (Accident *accident, gchar *photo1);
void d_accident_set_photo2 (Accident *accident, gchar *photo2);
void d_accident_set_description (Accident *accident, gchar *description);
gchar *d_accident_get_accident_reference (Accident *accident);
time_t d_accident_get_date (Accident *accident);
time_t d_accident_get_open_date (Accident *accident);
gchar *d_accident_get_place (Accident *accident);
gchar *d_accident_get_field (Accident *accident);
gchar *d_accident_get_damages (Accident *accident);
gchar *d_accident_get_way (Accident *accident);
gchar *d_accident_get_province_code (Accident *accident);
gchar *d_accident_get_reason_code (Accident *accident);
gchar *d_accident_get_photo1 (Accident *accident);
gchar *d_accident_get_photo2 (Accident *accident);
gchar *d_accident_get_description (Accident *accident);
Accident *d_accident_duplicate (Accident *accident);

#endif

