/*  cash_operation.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CASH_OPERATION_
#define _CASH_OPERATION_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif
#include <time.h>
#include "payment.h"
#include "cash.h"

typedef struct _cashOperation {
    gulong operation_code;
    Cash * cash;
    Payment * payment;
    gdouble amount;
    time_t date;
    gchar * section;
} CashOperation;


CashOperation *d_cash_operation_create_empty (void); 
gint d_cash_operation_clear (CashOperation *cash_operation);
void d_cash_operation_set_operation_code (CashOperation *cash_operation, gulong operation_code);
void d_cash_operation_set_amount (CashOperation *cash_operation, gdouble amount);
void d_cash_operation_set_cash (CashOperation *cash_operation,Cash * cash);
void d_cash_operation_set_payment (CashOperation *cash_operation,Payment * payment);
void d_cash_operation_set_date (CashOperation *cash_operation, time_t date);
void d_cash_operation_set_section (CashOperation *cash_operation, gchar * section);
gulong  d_cash_operation_get_operation_code (CashOperation *cash_operation);
gdouble  d_cash_operation_get_amount (CashOperation *cash_operation);
Cash * d_cash_operation_get_cash (CashOperation *cash_operation);
Payment * d_cash_operation_get_payment (CashOperation *cash_operation);
time_t  d_cash_operation_get_date (CashOperation *cash_operation);
gchar * d_cash_operation_get_section (CashOperation *cash_operation);


#endif


