/* company.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */
#ifndef _COMPANY_
#define _COMPANY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"


typedef struct _company {
    Participant *participant;
    gulong      consortium_code;
    gchar       *ck_code;
    gdouble     discount;
    gint        template;
} Company;


Company *d_company_create_empty (void);
gint d_company_clear (Company *company);
void d_company_set_participant (Company *company, Participant * participant);
void d_company_set_consortium_code (Company *company, gulong consortium_code);
void d_company_set_discount (Company *company, gdouble discount);
void d_company_set_template (Company *company, gint template);
void d_company_set_ck_code (Company *company, gchar *ck_code);
Participant *d_company_get_participant (Company *company);
gulong d_company_get_consortium_code (Company *company);
gdouble d_company_get_discount (Company *company);
gchar *d_company_get_ck_code (Company *company);
gint d_company_get_template (Company *company);
Company *d_company_duplicate (Company *company);

#endif

