/* delivery_payment.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _DELIVERY_
#define _DELIVERY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "agent.h"
#include "company.h"
#include "participant.h"
#include "repair_object.h"
#include "repair_line_object.h"
#include "time.h"


typedef struct deliveryPaymentStruct {
    gulong delivery_payment_number;
    gulong invoice_code;
    Repair * repair;
    time_t issue_date;
    gdouble garage_total;
} DeliveryPayment;

DeliveryPayment * d_delivery_payment_create_empty (void);

void d_delivery_payment_set_number (DeliveryPayment * delivery_payment,gulong delivery_payment_number);
void d_delivery_payment_set_invoice_code (DeliveryPayment * delivery_payment,gulong invoice_code);
void d_delivery_payment_set_repair (DeliveryPayment * delivery_payment,Repair * repair);
void d_delivery_payment_set_issue_date (DeliveryPayment * delivery_payment,time_t issue_date);
void d_delivery_payment_set_garage_total (DeliveryPayment * delivery_payment,gdouble garage_total);

gdouble d_delivery_payment_get_garage_total (DeliveryPayment * delivery_payment);
time_t d_delivery_payment_get_issue_date (DeliveryPayment * delivery_payment);
gulong d_delivery_payment_get_number (DeliveryPayment * delivery_payment);
gulong d_delivery_payment_get_invoice_code (DeliveryPayment * delivery_payment);
Repair *  d_delivery_payment_get_repair (DeliveryPayment * delivery_payment);

gint d_delivery_payment_clear (DeliveryPayment *delivery_payment);
void d_delivery_payment_calculate_total_data (gdouble * total,DeliveryPayment * delivery_payment);

Participant * d_delivery_payment_obtain_garage (DeliveryPayment ** delivery_payments);
gchar ***d_delivery_payment_array_to_content (DeliveryPayment **array, gulong *reccount);
gchar  **d_delivery_payment_get_content (DeliveryPayment *delivery_payment);
gchar  **d_delivery_payment_get_content_title (void);
gchar   *d_delivery_payment_get_listing_title (gchar * shop_name);
gint    *d_delivery_payment_get_listing_columns_width (void);
gint    *d_delivery_payment_get_listing_columns_alignment (void);
gint     d_delivery_payment_get_content_size (void);

#endif
