
/* document.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _DOCUMENT_
#define _DOCUMENT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"
#include "util.h"

/**
 * D_DOCUMENT_REPARACION:
 *
 * Cdigo que indica si un documento es para reparacin.
 *
 */
#define D_DOCUMENT_REPARACION  0
/**
 * D_DOCUMENT_INVOICE:
 *
 * Cdigo que indica si un documento es para facturacin.
 *
 */
#define D_DOCUMENT_INVOICE 1

typedef struct _document {
  gulong document_code;
  gchar *name;
  gchar *description;
  gboolean from_repair;
  gboolean from_invoice;
} Document;


Document *d_document_create_empty (void);
gint d_document_clear (Document *document);

void d_document_set_code (Document *document, gulong document_code);
void d_document_set_description (Document *document, gchar *description);
void d_document_set_name (Document *document, gchar *name);
void d_document_set_from_repair (Document *document, gboolean from_repair);
void d_document_set_from_invoice (Document *document, gboolean from_invoice);

gulong d_document_get_code (Document *document);
gchar *d_document_get_name (Document *document);
gchar *d_document_get_description (Document *document);
gboolean d_document_get_from_repair (Document *document);
gboolean d_document_get_from_invoice (Document *document);

Document *d_document_duplicate (Document *document);

#endif

