
/* enterprise.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ENTERPRISE_
#define _ENTERPRISE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

/**
 * D_ENTERPRISE_NONE:
 *
 * Cdigo que indica que se desea realizar una bsqueda sin especificar el cdigo de empresa.
 *
 */
#define D_ENTERPRISE_NONE 0

typedef struct _enterprise {
  gboolean belong_to_principal;
  Participant *participant;
} Enterprise;


Enterprise * d_enterprise_create_empty (void);
gint d_enterprise_clear (Enterprise *enterprise);
void d_enterprise_set_participant (Enterprise *enterprise, Participant * participant);
void d_enterprise_set_belong_to_principal (Enterprise *enterprise, gboolean belong_to_principal);
Participant *d_enterprise_get_participant (Enterprise *enterprise);
gboolean d_enterprise_get_belong_to_principal (Enterprise *enterprise);
Enterprise * d_enterprise_duplicate (Enterprise * enterprise);
#endif

