
/* exception.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _EXCEPTION_
#define _EXCEPTION_

#include "glib.h"

typedef struct _exception {
  gulong code;
  gchar *message;
} Exception;

Exception * d_exception_create (void);
Exception * d_exception_create_full (gchar *message);
void d_exception_set_code (Exception * exception,gulong code);
void d_exception_set_message (Exception * exception, gchar *message);
gulong d_exception_get_code (Exception * exception);
gchar *d_exception_get_message (Exception * exception);
void d_exception_destroy (Exception *exception);

#endif

