/* expense.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


/*Gastos, suma de facturas de cargo agrupadas por proveedor*/

#ifndef _EXPENSE_
#define _EXPENSE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

typedef struct expenseStruct {
    Participant   *supplier;
    gboolean    total_summary;
    gfloat      amount;
} Expense;



Expense * d_expense_create_empty (void);
void d_expense_set_supplier (Expense * expense, Participant * supplier);
void d_expense_set_amount (Expense * expense, gfloat amount);
void d_expense_set_total_summary (Expense * expense, gboolean total_summary);

gfloat d_expense_get_amount (Expense * expense);
gboolean d_expense_get_total_summary (Expense * expense);
Participant * d_expense_get_supplier (Expense * expense);

gint d_expense_clear (Expense * expense);

gchar ***d_expense_array_to_content (Expense **array, gulong *reccount);
gchar **d_expense_get_content_title (void);
gchar *d_expense_get_listing_title (void);
gint *d_expense_get_listing_columns_width (void);
gint *d_expense_get_listing_columns_alignment (void);
gint d_expense_get_content_size (void);
gchar **d_expense_get_content (Expense *expense);
Expense **  d_expense_calculate_total_data (Expense ** expenses);
Expense ** d_expense_concat (Expense ** expenses,Expense ** expenses2);
#endif


