
/* garage.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _GARAGE_
#define _GARAGE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

typedef struct _garage {
  Participant *participant;
  gdouble commission;
} Garage;

Garage *d_garage_create_empty (void);
gint d_garage_clear (Garage *garage);
void d_garage_set_participant (Garage *garage, Participant * participant);
void d_garage_set_commission (Garage *garage, gdouble commission);
Participant * d_garage_get_participant (Garage *garage);
gdouble d_garage_get_commission (Garage *garage);
Garage *d_garage_duplicate (Garage *garage);

#endif

