  /* incoming_book.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */



#ifndef _INCOMING_BOOK_
#define _INCOMING_BOOK_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

typedef struct incoming_bookStruct {
    Participant * participant;
    gdouble total;
    gboolean total_summary;
} IncomingBook;


IncomingBook * d_incoming_book_create_empty (void);

void d_incoming_book_set_participant (IncomingBook * incoming_book, Participant * participant);
void d_incoming_book_set_total (IncomingBook * incoming_book, gdouble total);
void d_incoming_book_set_total_summary (IncomingBook * incoming_book,gboolean total_summary);

Participant * d_incoming_book_get_participant (IncomingBook * incoming_book);
gboolean d_incoming_book_get_total_summary (IncomingBook * incoming_book);
gdouble d_incoming_book_get_total (IncomingBook * incoming_book);

gint d_incoming_book_clear (IncomingBook * incoming_book);

gchar ***d_incoming_book_array_to_content (IncomingBook **array, gulong *reccount);
gchar **d_incoming_book_get_content_title (void);
gchar *d_incoming_book_get_listing_title (void);
gint *d_incoming_book_get_listing_columns_width (void);
gint *d_incoming_book_get_listing_columns_alignment (void);
gint d_incoming_book_get_content_size (void);
gchar **d_incoming_book_get_content (IncomingBook *incoming_book);
IncomingBook **  d_incoming_book_calculate_total_from_list (IncomingBook ** incoming_books);
IncomingBook ** d_incoming_book_concat (IncomingBook ** incoming_books,IncomingBook ** incoming_books2);
#endif


