/* manodeobra.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _MANODEOBRA_
#define _MANODEOBRA_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "product.h"

typedef struct manPowerStruct {
    Product  product;
    gulong     man_power_code;
} ManPower;

ManPower *d_man_power_create_empty (void);
gint        d_man_power_clear (ManPower *man_power);
void        d_man_power_set_product (ManPower *man_power, Product product);
void        d_man_power_set_code (ManPower *man_power, gulong man_power_code);
Product     d_man_power_get_product (ManPower *man_power);
gulong       d_man_power_get_code (ManPower *man_power);
ManPower *d_man_power_duplicate (ManPower *man_power);


#endif

