/* measure.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MEASURE_
#define _MEASURE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif



typedef struct _measure {
  gulong measure_code ;
  gchar *measure_name;
  gchar *abbreviation;
} Measure;


Measure * d_measure_create_empty (void);
gint d_measure_clear (Measure *measure);
void d_measure_set_name (Measure *measure, gchar * measure_name);
void d_measure_set_abbreviation (Measure *measure, gchar * abbreviation);
void d_measure_set_measure_code (Measure *measure, gulong measure_code);
gchar *d_measure_get_name (Measure *measure);
gchar *d_measure_get_abbreviation (Measure *measure);
gulong d_measure_get_measure_code (Measure *measure);
Measure * d_measure_duplicate (Measure * measure);
#endif

