
/*  office.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _OFFICE_
#define _OFFICE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

typedef struct _office {
    gint bank_code;
    gint office_code;
    gchar * bank_name;
    gchar * name;
    gchar * address;
} Office;


Office *d_office_create_empty (void); 
gint d_office_clear (Office *office);
void d_office_set_bank_name (Office *office, gchar *bank_name);
void d_office_set_name (Office *office, gchar * name);
void d_office_set_address (Office *office, gchar *address);
void d_office_set_bank_code (Office *office, gint bank_code);
void d_office_set_office_code (Office *office, gint office_code);
gchar *d_office_get_bank_name (Office *office);
gchar *d_office_get_name (Office *office);
gchar *d_office_get_address (Office *office);
gint d_office_get_office_code (Office *office);
gint d_office_get_bank_code (Office *office);


#endif


