/* order_line.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _ORDER_LINE_
#define _ORDER_LINE_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "piece.h"

typedef struct _order_line {
  gulong  order_code;
  gulong  enterprise_code;
  gulong  warehouse_code;
  gulong  line_number;
  gdouble  quantity;
  Piece  *piece;
  gchar * delivery_payment;
  gulong charge_line_number;
  gulong charge_invoice_number;
  gulong charge_invoice_supplier_code;
  gboolean with_delivery_payment;
} OrderLine;

OrderLine *d_order_line_create_empty (void);
gint     d_order_line_clear (OrderLine *order_line);
void     d_order_line_set_code (OrderLine * order_line, gulong order_code);
void     d_order_line_set_enterprise_code (OrderLine * order_line, gulong enterprise_code);
void     d_order_line_set_warehouse_code (OrderLine * order_line, gulong warehouse_code);
void     d_order_line_set_line_number (OrderLine * order_line, gulong line_number);
void     d_order_line_set_piece (OrderLine * order_line, Piece *piece);
void     d_order_line_set_quantity (OrderLine * order_line, gdouble quantity);
void     d_order_line_set_delivery_payment (OrderLine * order_line, gchar * delivery_payment);
void     d_order_line_set_charge_invoice_number (OrderLine * order_line, gulong charge_invoice_number);
void     d_order_line_set_charge_line_number (OrderLine * order_line, gulong charge_line_number);
void     d_order_line_set_charge_invoice_supplier_code (OrderLine * order_line, gulong charge_invoice_supplier_code);
void     d_order_line_set_with_delivery_payment (OrderLine * order_line, gboolean with_delivery_payment);
gulong   d_order_line_get_code (OrderLine * order_line);
gulong   d_order_line_get_enterprise_code (OrderLine * order_line);
gulong   d_order_line_get_warehouse_code (OrderLine * order_line);
gulong   d_order_line_get_line_number (OrderLine * order_line);
Piece   *d_order_line_get_piece (OrderLine * order_line);
gdouble   d_order_line_get_quantity (OrderLine * order_line);
gboolean d_order_line_get_with_delivery_payment (OrderLine * order_line);
gchar *   d_order_line_get_delivery_payment (OrderLine * order_line);
gulong   d_order_line_get_charge_invoice_number (OrderLine * order_line);
gulong d_order_line_get_charge_line_number (OrderLine * order_line);
gulong d_order_line_get_charge_invoice_supplier_code (OrderLine * order_line);


OrderLine **d_order_line_duplicate (OrderLine **lines);

#endif

