/* particular_object.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PARTICULAR_OBJECT_
#define _PARTICULAR_OBJECT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "participant.h"

typedef struct particularObjectStruct {
    Participant * participant;
    gchar *first_surname;
    gchar *second_surname;
} ParticularObject;


ParticularObject * d_particular_create_empty (void);
void d_particular_set_participant (ParticularObject * particular,Participant * participant);
void d_particular_set_first_surname (ParticularObject * particular,gchar * first_surname);
void d_particular_set_second_surname (ParticularObject * particular,gchar * second_surname);
Participant * d_particular_get_participant (ParticularObject * particular);
gchar * d_particular_get_first_surname (ParticularObject * particular);
gchar * d_particular_get_second_surname (ParticularObject * particular);


gint d_particular_clear (ParticularObject *particular);



#endif

