/* piece.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _PIECE_
#define _PIECE_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "product.h"

typedef struct _piece {
    Product  product;
    gchar   *euroCode;
    gshort   length;
    gshort   width;
    gdouble   cost_price;
    gulong   meassure_code;
    gdouble   units_per_packet;
    gulong supplier_code;
} Piece;

Piece *d_piece_create_empty (void);
gint   d_piece_clear (Piece *piece);
void   d_piece_set_product (Piece *Piece, Product product);
void   d_piece_set_euroCode (Piece *Piece, gchar *euroCode);
void   d_piece_set_width (Piece *piece, gshort width);
void   d_piece_set_length (Piece *piece, gshort length);
void   d_piece_set_meassure_code (Piece *piece, gulong meassure_code);
void   d_piece_set_units_per_packet (Piece *piece, gdouble units);
void   d_piece_set_cost_price (Piece *piece, gdouble price);
void   d_piece_set_supplier_code (Piece *piece, gulong supplier_code);
Product  d_piece_get_product (Piece *piece);
gchar   *d_piece_get_euroCode (Piece *piece);
gshort   d_piece_get_width (Piece *piece);
gshort   d_piece_get_length (Piece *piece);
gulong   d_piece_get_meassure_code (Piece *piece);
gdouble   d_piece_get_units_per_packet (Piece *piece);
gdouble   d_piece_get_cost_price (Piece *piece);
gulong   d_piece_get_supplier_code (Piece *piece);
Piece *d_piece_duplicate (Piece *piece);

#endif


