/* post_address.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _POST_ADDRESS_
#define _POST_ADDRESS_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

typedef struct _post_address {
  gulong code;
  gulong participant_code;
  gchar *street;
  gchar *number;
  gchar *floor;
  gulong  postal_code;
  gchar *town;
  gchar *province;
} PostAddress;

PostAddress * d_post_address_create_empty (void);
gint d_post_address_clear (PostAddress *post_address);
void d_post_address_set_code (PostAddress * post_address,gulong code);
void d_post_address_set_participant_code (PostAddress * post_address,gulong participant_code);
void d_post_address_set_street (PostAddress * post_address,gchar * street);
void d_post_address_set_number (PostAddress * post_address,gchar * number);
void d_post_address_set_floor (PostAddress * post_address,gchar * floor);
void d_post_address_set_postal_code (PostAddress * post_address,gulong postal_code);
void d_post_address_set_town (PostAddress * post_address,gchar * town);
void
    d_post_address_set_province (PostAddress * post_address,gchar * province);
gulong d_post_address_get_code (PostAddress * post_address);
gulong d_post_address_get_participant_code (PostAddress * post_address);
gchar * d_post_address_get_street (PostAddress * post_address);
gchar * d_post_address_get_number (PostAddress * post_address);
gchar * d_post_address_get_floor (PostAddress * post_address);
gulong d_post_address_get_postal_code (PostAddress * post_address);
gchar * d_post_address_get_town (PostAddress * post_address);
gchar * d_post_address_get_province (PostAddress * post_address);
PostAddress *d_post_address_duplicate (PostAddress *post_address);

#endif                               



