/* regularization.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _REGULARIZATION_
#define _REGULARIZATION_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"

typedef struct regularizationStruct {
    gulong enterprise_code;
    gulong warehouse_code;
    gulong movement_code;
    gulong product_code;
    gdouble  quantity;
    time_t date;
} Regularization;


Regularization * d_regularization_create_empty (void);
gint d_regularization_clear (Regularization *regularization);

void d_regularization_set_enterprise_code (Regularization *regularization, gulong enterprise_code);
void d_regularization_set_product_code (Regularization *regularization, gulong product_code);
void d_regularization_set_warehouse_code (Regularization *regularization, gulong warehouse_code);
void d_regularization_set_quantity (Regularization *regularization, gdouble quantity);

gulong d_regularization_get_enterprise_code (Regularization *regularization);
gulong d_regularization_get_warehouse_code (Regularization *regularization);
gulong d_regularization_get_product_code (Regularization *regularization);
gdouble  d_regularization_get_quantity (Regularization *regularization);
time_t d_regularization_get_date (Regularization *regularization);

#endif

