/* repair_line_object.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */



#ifndef _REPAIR_LINE_OBJECT_
#define _REPAIR_LINE_OBJECT_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "product.h"
#include "piece.h"
#include "manodeobra.h"
#include "stock.h"

typedef struct _repair_line {
  gulong line_number;
  gulong line_position_number;
  gdouble earlier_quantity;
  gdouble quantity;
  gdouble price;
  gdouble discount;
  gdouble cost_price;
  gdouble vat_type;
  gdouble historical_price;
  gdouble historical_vat_type;
  Product *product;
  Stock *stock;
} Repair_line;

Repair_line  *d_repair_line_create_empty (void);					    
gint d_repair_line_clear (Repair_line *repair_line);
void d_repair_line_set_line_number (Repair_line * repair_line, gulong line_number);
void d_repair_line_set_line_position_number (Repair_line * repair_line, gulong line_position_number);
void d_repair_line_set_quantity (Repair_line * repair_line, gdouble quantity);
void d_repair_line_set_earlier_quantity (Repair_line * repair_line, gdouble earlier_quantity);
void d_repair_line_set_price (Repair_line * repair_line, gdouble price);
void d_repair_line_set_discount (Repair_line * repair_line, gdouble discount);
void d_repair_line_set_cost_price (Repair_line * repair_line, gdouble cost_price);
void d_repair_line_set_historical_price (Repair_line * repair_line, gdouble historical_price);
void d_repair_line_set_historical_vat_type (Repair_line * repair_line, gdouble historical_vat_type);
void d_repair_line_set_vat_type (Repair_line * repair_line, gdouble vat_type);
void d_repair_line_set_product (Repair_line * repair_line, Product *product);
void d_repair_line_set_stock (Repair_line * repair_line, Stock *stock);
gulong d_repair_line_get_line_number (Repair_line * repair_line);
gulong d_repair_line_get_line_position_number (Repair_line * repair_line);
gdouble d_repair_line_get_quantity (Repair_line * repair_line);
gdouble d_repair_line_get_earlier_quantity (Repair_line * repair_line);
gdouble d_repair_line_get_price (Repair_line * repair_line);
gdouble d_repair_line_get_discount (Repair_line * repair_line);
gdouble d_repair_line_get_vat_type (Repair_line * repair_line);
gdouble d_repair_line_get_cost_price (Repair_line * repair_line);
gdouble d_repair_line_get_historical_price (Repair_line * repair_line);
gdouble d_repair_line_get_historical_vat_type (Repair_line * repair_line);
Product *d_repair_line_get_product (Repair_line * repair_line);
Stock *d_repair_line_get_stock (Repair_line * repair_line);
Repair_line *d_repair_line_duplicate (Repair_line *repair_line);
gdouble d_repair_line_calculate_total (Repair_line * repair_line);

#endif

