/* repair_movement.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PIECE_ACTIVITY_
#define _PIECE_ACTIVITY_

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "time.h"

typedef struct repair_movementStruct {
    gulong enterprise_code;
    gulong warehouse_code;
    gulong movement_code;
    time_t date;
    gdouble  quantity;
    gulong repair_code;
    gulong repair_enterprise_code;
    gulong shop_code;
    gulong line_number;
    gulong product_code;
    gchar * license_number;
} RepairMovement;


RepairMovement * d_repair_movement_create_empty (void);
gint d_repair_movement_clear (RepairMovement *repair_movement);

void d_repair_movement_set_enterprise_code (RepairMovement *repair_movement, gulong enterprise_code);
void d_repair_movement_set_warehouse_code (RepairMovement *repair_movement, gulong warehouse_code);
void d_repair_movement_set_movement_code (RepairMovement *repair_movement, gulong movement_code);
void d_repair_movement_set_repair_code (RepairMovement *repair_movement, gulong repair_code);
void d_repair_movement_set_repair_enterprise_code (RepairMovement *repair_movement, gulong repair_enterprise_code);
void d_repair_movement_set_shop_code (RepairMovement *repair_movement, gulong shop_code);
void d_repair_movement_set_line_number (RepairMovement *repair_movement, gulong line_number);
void d_repair_movement_set_product_code (RepairMovement *repair_movement, gulong product_code);

void d_repair_movement_set_quantity (RepairMovement *repair_movement, gdouble quantity);
void d_repair_movement_set_date (RepairMovement *repair_movement,time_t date);
void d_repair_movement_set_license_number (RepairMovement *repair_movement, gchar* license_number);

gulong d_repair_movement_get_enterprise_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_warehouse_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_movement_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_repair_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_line_number (RepairMovement *repair_movement);
gulong d_repair_movement_get_repair_enterprise_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_shop_code (RepairMovement *repair_movement);
gulong d_repair_movement_get_product_code (RepairMovement *repair_movement);

gdouble  d_repair_movement_get_quantity (RepairMovement *repair_movement);
time_t d_repair_movement_get_date (RepairMovement *repair_movement);
gchar * d_repair_movement_get_license_number (RepairMovement *repair_movement);
#endif

