/* supplier_price.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _SUPPLIER_PRICE_
#define _SUPPLIER_PRICE_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#ifndef _GLIB_LIBRARY_
#define _GLIB_LIBRARY_
#include <glib.h>
#endif

#include "piece.h"
#include "participant.h"

typedef struct _supplier_price {
    gdouble cost_price;
    Piece * piece;
    Participant * participant;
} SupplierPrice;

SupplierPrice *d_supplier_price_create_empty (void);
gint   d_supplier_price_clear (SupplierPrice *supplier_price);
void   d_supplier_price_set_piece (SupplierPrice *supplier_price, Piece * piece);
void   d_supplier_price_set_participant (SupplierPrice *supplier_price, Participant * participant);
void   d_supplier_price_set_cost_price (SupplierPrice *supplier_price, gdouble cost_price);

Piece * d_supplier_price_get_piece (SupplierPrice *supplier_price);
Participant * d_supplier_price_get_participant (SupplierPrice *supplier_price);
gdouble   d_supplier_price_get_cost_price (SupplierPrice *supplier_price);

SupplierPrice *d_supplier_price_duplicate (SupplierPrice *supplier_price);

#endif


