/* document_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_DOCUMENT_
#define _MODEL_DOCUMENT_

#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "gda_igalia_util.h"
#include "company.h"
#include "document.h"

typedef struct conditionDocumentStruct {
    gchar   *name;
    gchar   *description;
    gboolean repair;
    gboolean invoice;
} ConditionFindDocument;




gchar *m_document_get_table (void);
gchar *m_document_get_attributes (void);
Document *m_document_create (GdaRecordset *rs);

Document ** m_document_find_by_company (gulong company_code, gboolean repair);
Document ** m_document_find_by_code_array (Document **document_array, gulong *docs_ids);
Document ** m_document_find_by_condition (ConditionFindDocument *condition, gulong *tuples);


void m_document_clear_cached_array (void);
void m_document_clear_array (Document **list);

gboolean m_document_insert (Document *document);
gboolean m_document_update (Document *document);
gboolean m_document_delete (Document *document);
gboolean m_document_delete_by_code (gulong code);

#endif

