/* enterprise_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_ENTERPRISE_
#define _MODEL_ENTERPRISE_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "enterprise.h"

gchar *m_enterprise_get_table (void);
gchar *m_enterprise_get_attributes (void);
Enterprise * m_enterprise_create (GdaRecordset *rs);

Enterprise ** m_enterprise_find_all (void);
Enterprise * m_enterprise_find_by_shop (gint shop_code);
Enterprise * m_enterprise_find_by_code (gint enterprise_code);
gchar *m_enterprise_get_name_from_code (gulong code);
gulong m_enterprise_get_code_from_name (gchar *name);
gulong m_enterprise_get_code_from_legal_id (gchar *legal_id);
Enterprise * m_enterprise_find_by_participant_code (GdaCommand * my_command,GdaConnection * my_connection,gint party_code);
Enterprise * m_enterprise_find_by_shop_in_transaction (GdaCommand * my_command,GdaConnection * my_connection,gint shop_code);
void m_enterprise_clear_array (Enterprise ** enterprises);
#endif


