/* expense_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _EXPENSE_MODEL_
#define _EXPENSE_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "expense.h"
#include "gda_igalia_util.h"
#include "model.h"
#include "util.h"

typedef struct conditionExpenseStruct {
    time_t  initial_date;
    time_t  final_date;
    gulong  enterprise_code;
    gboolean greater_than;
} ConditionExpense;


gchar *m_expense_get_table (void);
gchar *m_expense_get_attributes (void);
gchar *m_expense_get_sumexpense_attributes (void);
gchar *m_expense_get_accumulative_attributes (void);
gchar *m_expense_get_not_accumulative_attributes (void);

Expense * m_expense_create (GdaRecordset *rs);

Expense ** m_expense_find_by_condition (ConditionExpense *condition,
					    gulong * tuples);
gint m_expense_clear_array (Expense ** expense_array);

#endif


