
/* find_stocked_pieces_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _FIND_STOCKED_PIECES_MODEL_
#define _FIND_STOCKED_PIECES_MODEL_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#ifndef _UTIL_
#include "util.h"
#endif

#ifndef _PRODUCT_
#include "product_model.h"
#endif

#ifndef _PIECE_
#include "piece_model.h"
#endif

#ifndef _STOCK_
#include "stock.h"
#endif

typedef struct conditionStockStruct {
    gchar   *eurocode;/*Eurocode de la pieza*/
    gchar   *description;/*Descripcin de la pieza*/
    gulong   enterprise_code;/*Cdigo de la empresa*/
    gulong   warehouse_code;/*Cdigo del almacn*/
    gboolean minimun_stock;/*Stock mnimo que se permite en el almacn*/
    gulong   supplier_code;/*Cdigo del proveedor asignado*/
} ConditionFindStock;


gint m_stock_clear_array (Stock ** stock_array);
Stock ** m_stock_find_pieces_by_condition (ConditionFindStock *condition, gulong * tuples);
Stock ** m_stock_find_pieces_by_product_code (gulong *codes, gulong enterprise_code, gulong warehouse_code, gulong *number);


#endif

