/* piece_history_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _PIECE_HISTORY_MODEL_
#define _PIECE_HISTORY_MODEL_

#ifndef _BASIC_LIBRARIES_
#define _BASIC_LIBRARIES_
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#endif

#include <gda-client.h>
#include <gda-field.h>

#ifndef _MODEL_
#include "model.h"
#endif

#ifndef _UTIL_
#include "util.h"
#endif

#ifndef _PIECE_HISTORY_
#include "piece_history.h"
#endif

#include "gda_igalia_util.h"


typedef struct conditionFindHistoryStruct {
    gulong   enterprise_code;/*Cdigo de la empresa*/
    gulong   warehouse_code;/*Cdigo del almacn*/
    gulong   product_code;
    time_t initial_date;
    time_t ending_date;
} ConditionFindHistory;

PieceHistory  *m_piece_history_create (GdaRecordset *rs);
gint m_piece_history_clear_array (PieceHistory ** piece_warehouse_history);
PieceHistory ** m_piece_history_find_by_condition (ConditionFindHistory *condition, gulong * tuples);


#endif

