
/* policy_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_POLICY_
#define _MODEL_POLICY_

#include "gda_igalia_util.h"
#include <gda-client.h>
#include <glib.h>
#include "model.h"
#include "policy.h"
#include "exception.h"


gchar *m_policy_get_table (void);
gchar *m_policy_get_attributes (void);
Policy *m_policy_create (GdaRecordset *rs);
Policy ** m_policy_find_by_name (gchar *policy_code, gchar *party_code, gchar *client);
void m_policy_clear_array (Policy **policies_list);
gboolean m_policy_insert (Policy *policy, gchar *participant_code, gboolean update, GdaCommand * command, GdaConnection *connection, Exception *exception);
gulong m_policy_get_company_code_by_partial_key (gulong participant_code,gchar *policy_number,GdaConnection *connection,GdaCommand *command);
#endif

