/* post_address_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _POST_ADDRESS_MODEL_
#define _POST_ADDRESS_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "post_address.h"

gchar *m_post_address_get_table (void);
gchar *m_post_address_get_attributes (void);
PostAddress * m_post_address_create (GdaRecordset *rs, gchar *rol);
PostAddress * m_post_address_create_partial (GdaRecordset *rs, gchar *rol);
gboolean m_post_address_insert (PostAddress * post_address);
PostAddress ** m_post_address_find_by_participant_code (gulong party_code);
gboolean m_post_address_delete (PostAddress * post_address);
gboolean m_post_address_update (PostAddress * post_address);
void m_post_address_clear_array (PostAddress ** post_addresses);
gchar * m_post_address_show_on_one_line (PostAddress * post_address);

#endif


