/* province_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_PROVINCE_
#define _MODEL_PROVINCE_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "province.h"

gchar *m_province_get_table (void);
gchar *m_province_get_attributes (void);
Province * m_province_create (GdaRecordset *rs);
Province ** m_province_find_all (void);
Province * m_province_find_by_code (gint code);
gchar *m_province_get_name_from_code (gulong code);
gulong m_province_get_code_from_name (gchar *name);
void m_province_clear_array (Province ** provinces);
#endif


