
/* receipt_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_RECEIPT_
#define _MODEL_RECEIPT_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "receipt.h"
#include "exception.h"

gchar *m_receipt_get_table (void);
gchar *m_receipt_get_attributes (void);
Receipt *m_receipt_create (GdaRecordset *rs);
Receipt ** m_receipts_find_by_name (gchar *receipt_code, gchar *policy_number, gchar * client, gchar * company);
void m_receipts_clear_array (Receipt **receipts_list);
gboolean m_receipts_insert (Receipt *receipt, gchar *participant_code, gboolean update, GdaCommand * command, GdaConnection *connection, Exception *exception);

#endif

