 /* received_book_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _RECEIVED_BOOK_MODEL_
#define _RECEIVED_BOOK_MODEL_

#include <gda-client.h>
#include <gda-field.h>

#include "gda-recordset.h"
#include "gda_igalia_util.h"
#include "model.h"
#include "received_book.h"
#include "accounting_period_model.h"

ReceivedBook * m_received_book_create (GdaRecordset *rs);

ReceivedBook **  m_received_books_find_by_condition (ConditionAccountingPeriod *condition,gulong * tuples);
void m_received_books_clear_array (ReceivedBook ** received_books);
ReceivedBook **  m_received_books_group_by_vat (ConditionAccountingPeriod *condition,gulong * tuples);
gboolean m_received_books_set_receipt (ReceivedBook ** received_books,AccountingPeriod * accounting_period);
gboolean m_received_books_exists_charge_invoice (ReceivedBook ** received_books,AccountingPeriod * accounting_period);
#endif

