/* stock_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _STOCK_MODEL_
#define _STOCK_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "stock.h"
#include "model.h"

gchar *m_stock_get_table (void);
gchar *m_stock_get_attributes (void);
gchar *m_stock_get_sumstock_attributes (void);
gchar *m_stock_get_accumulative_attributes (void);
gchar *m_stock_get_not_accumulative_attributes (void);
Stock *m_stock_create (GdaRecordset *rs);
gboolean m_stock_insert (Stock *stock, GdaConnection *connection, GdaCommand *command);
gboolean m_stock_update (Stock *stock, GdaConnection *connection, GdaCommand *command);
//gboolean exists_stock_in_other_warehouse(Stock *stock,gulong codigoAlmacen,gulong codigoEmpresa);

#endif

