
/* vehicle_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_VEHICLE_
#define _MODEL_VEHICLE_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "vehicle.h"
#include "exception.h"

gchar *m_vehicle_get_table (void);
gchar *m_vehicle_get_attributes (void);
Vehicle *m_vehicle_create (GdaRecordset *rs);
Vehicle ** m_vehicle_find_by_name (gchar *vehicle_code, gchar* participant_code);
void m_vehicle_clear_array (Vehicle **vehicles_list);
gboolean m_vehicle_insert (Vehicle *vehicle, gulong *vehicle_code_gulong, GdaCommand * command, GdaConnection *connection, gboolean update, Exception *exception);

#endif

