/* warehouse_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _WAREHOUSE_MODEL_
#define _WAREHOUSE_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "warehouse.h"

gchar *m_warehouse_get_table (void);
gchar *m_warehouse_get_attributes (void);
Warehouse *m_warehouse_create (GdaRecordset *rs);
Warehouse  *m_warehouse_find_by_codes (gint warehouse_code, gint enterprise_code);
Warehouse **m_warehouse_find_all (void);
Warehouse **m_warehouse_find_by_enterprise_code (gint enterprise_code);
void m_warehouse_clear_array (Warehouse ** warehouses);
void m_warehouse_clear_cached_array (void);
gchar *m_warehouse_get_name_from_code (gulong code);
gulong m_warehouse_get_code_from_name (gchar *name);
gulong m_warehouse_get_enterprise_code_from_code (gulong code);
       
#endif

